// Found requests:
// To get the current queue
// GET ${host}/queue

// To view a image
// GET ${host}/api/view?filename=ComfyUI_00006_.png

// To get the history of the queue
// GET ${host}/api/history?max_items=64

// To post a new image generation request to the queue
// POST ${host}/api/prompt
// Content-Type: application/json
// { ... }

// To request a list of all the available models
// GET ${host}/api/experiment/models

// To request a list of checkpoints (Or details for a specific checkpoint)
// GET ${host}/api/experiment/models/checkpoints
// GET ${host}/api/view_metadata/checkpoints?filename=${pathAndFileName}

// To request a list of loras (Or details for a specific lora)
// GET ${host}/api/experiment/models/loras
// GET ${host}/api/view_metadata/loras?filename=${pathAndFileName}

// To request a list of VAEs (Or details for a specific VAE)
// GET ${host}/api/experiment/models/vae
// GET ${host}/api/view_metadata/vae?filename=${pathAndFileName}

// To request a list of upscale models (Or details for a specific upscale model)
// GET ${host}/api/experiment/models/upscale_models
// GET ${host}/api/view_metadata/upscale_models?filename=${pathAndFileName}

// To request a list of embeddings (Or details for a specific embedding)
// GET ${host}/api/experiment/models/embeddings
// GET ${host}/api/view_metadata/embeddings?filename=${pathAndFileName}

// To get object info (Checkpoints, models, loras etc)
// GET ${host}/api/object_info

// WebSocket for progress updates
// ws://${host}/ws?clientId=${clientId}

// Final question
// How do we figure out the clientId
