/// Exception thrown when the ComfyUI API returns an error
class ComfyUiApiException implements Exception {
  final int statusCode;
  final String message;

  ComfyUiApiException({required this.statusCode, required this.message});

  @override
  String toString() => 'ComfyUiApiException: $statusCode - $message';
}
