import 'websocket_event.dart';
import 'progress_event.dart';

/// Callback function type for prompt events
typedef PromptEventCallback = void Function(String promptId);

/// Callback function type for typed WebSocket events
typedef WebSocketEventCallback = void Function(WebSocketEvent event);

/// Callback function type for progress events
typedef ProgressEventCallback = void Function(ProgressEvent event);
